Mail archive
alpine-aports

[alpine-aports] [PATCH 2/3] testing/drbd9: new aport

From: Roland Kammerer <roland.kammerer_at_linbit.com>
Date: Tue, 29 Dec 2015 16:07:35 +0100

http://www.drbd.org
Network-based RAID 1 version 9
---
 testing/drbd9/APKBUILD         | 45 ++++++++++++++++++++++++++++++++++++++++++
 testing/drbd9/busybox-mv.patch |  8 ++++++++
 2 files changed, 53 insertions(+)
 create mode 100644 testing/drbd9/APKBUILD
 create mode 100644 testing/drbd9/busybox-mv.patch
diff --git a/testing/drbd9/APKBUILD b/testing/drbd9/APKBUILD
new file mode 100644
index 0000000..bae8f22
--- /dev/null
+++ b/testing/drbd9/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Roland Kammerer <roland.kammerer_at_linbit.com>
+# Maintainer: Roland Kammerer <roland.kammerer_at_linbit.com>
+_usname=drbd
+pkgname=${_usname}9
+pkgver=9.0.0
+pkgrel=0
+pkgdesc="Network-based RAID 1 version 9"
+url="http://www.drbd.org"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="linux-grsec-dev"
+install=""
+subpackages=""
+source="http://oss.linbit.com/$_usname/9.0/$_usname-$pkgver.tar.gz
+        busybox-mv.patch"
+
+_builddir=$srcdir/$_usname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="62706c1b57bf399071272dad0d267421  drbd-9.0.0.tar.gz
+0ce3796e13ae3d271a1a3bac8ace1603  busybox-mv.patch"
+sha256sums="0dc6e37492dcc8a960311b3b0b7e2d17bd1afff146756cdd80d5477c17d7dffc  drbd-9.0.0.tar.gz
+49898fdf26f8d6bfc8f0a433ca3c17bd0f860f65119ae7f0144eba5977cf30f8  busybox-mv.patch"
+sha512sums="a86fbf199ad58aa5458323ca7e42e827516d3a61b871b6eeabf3507547cbec76e713d2276d9e6b4c5d984ec86263516f5feeda871b012f32fd5b49de9489b549  drbd-9.0.0.tar.gz
+bcaa7a126cffc5219ecdb9a9bcee8b32312a8d7ed3233360a0393788eb10c5ebe321b607f1f060acf9aa02092b274964437c72bb6bf73d35fa79a7daf27c16d2  busybox-mv.patch"
diff --git a/testing/drbd9/busybox-mv.patch b/testing/drbd9/busybox-mv.patch
new file mode 100644
index 0000000..76345f8
--- /dev/null
+++ b/testing/drbd9/busybox-mv.patch
_at_@ -0,0 +1,8 @@
+--- a/drbd/Kbuild
++++ b/drbd/Kbuild
+_at_@ -131,4 +131,4 @@
+ 		exit 1;								\
+ 	fi ;									\
+ 	echo -e "\t\t\" build by $$USER_at_$$HOSTNAME, `date "+%F %T"`\";\n}";	\
+-	mv --force $_at_.new $@
++	mv -f $_at_.new $@
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 29 2015 - 16:07:35 GMT